<?php // Carga el archivo con los anuncios
$adfile = "/bitmedia/ads.txt";
$ads = array();

// Un anuncio por linea
$fh = fopen($adfile, "r");
while(!feof($fh)) {

$line = fgets($fh, 10240);
$line = trim($line);
if($line != "") {
$ads[] = $line;
}
}

// Selecciona un anuncio al azar
$num = count($ads);
$idx = rand(0, $num-1);

echo $ads[$idx];
?>